import { TreeVirtualizer, type VirtualizerOptions } from './core';
import type { PartialKeys } from './core/utils';
import type { Readable } from 'svelte/store';
export type SvelteTreeVirtualizer<TScrollElement extends Element | Window, TItemElement extends Element, TData> = Omit<TreeVirtualizer<TScrollElement, TItemElement, TData>, 'setOptions'> & {
    setOptions: (options: Partial<VirtualizerOptions<TScrollElement, TItemElement, TData>>) => void;
};
export declare function createTreeVirtualizer<TScrollElement extends Element, TItemElement extends Element, TData>(options: PartialKeys<VirtualizerOptions<TScrollElement, TItemElement, TData>, 'observeElementRect'>): Readable<SvelteTreeVirtualizer<TScrollElement, TItemElement, TData>>;
